Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class AcknowledgmentType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.AcknowledgmentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:09:33+02:00",
               comments="JAXB RI v2.3.6")
    public class AcknowledgmentType

extends Object
implements Serializable

to specify the type of acknowledgment that is desired by the sender

Java class for acknowledgmentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="acknowledgmentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-ACKNOWLEDGMENT"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AcknowledgmentType()`

Method Summary
`CDACKNOWLEDGMENT` | `getCd()` Gets the value of the cd property.
`void` | `setCd(CDACKNOWLEDGMENT value)` Sets the value of the cd property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AcknowledgmentType

    public AcknowledgmentType()

Method Detail

### getCd

    public CDACKNOWLEDGMENT getCd()

  Gets the value of the cd property.

  Returns:
    possible object is `CDACKNOWLEDGMENT`

### setCd

    public void setCd(CDACKNOWLEDGMENT value)

  Sets the value of the cd property.

  Parameters:
    `value` - allowed object is `CDACKNOWLEDGMENT`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.